Skip to main content
GET
/
seating-plan-data
Retrieve Seating Plan Details
curl --request GET \
  --url https://api.nuwebgroup.com/v1/seating-plan-data \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "areas": [
      {
        "id": 1,
        "name": "Area A",
        "priceBandIds": [
          16,
          18,
          17
        ]
      }
    ],
    "generalAdmissionAreas": [
      {
        "id": 5168,
        "name": "Area A",
        "areaIds": [
          1
        ],
        "priceBandId": 16
      }
    ],
    "blocks": [
      {
        "id": 54,
        "name": "Block A",
        "priceBandIds": [
          16
        ]
      }
    ],
    "tables": [
      {
        "id": 54,
        "name": "Table A",
        "priceBandIds": [
          16
        ]
      }
    ],
    "priceBands": [
      {
        "id": 16,
        "name": "Group 1"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.

Headers

X-NU-COMPANY-ID
integer

The ID of the company this operation should be performed against.

Accept-Language
string

Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.

Query Parameters

eventId
integer
required

The event for which you wish to retrieve the associated seating plan data.

areaId
integer

Only retrieve seating plan data for a given area in the seating plan.

Response

Successfully retrieved seating plan data.

data
object